%define svn r475
Name:           libcuefile
Version:        0.0
Release:        1%{?dist}
Summary:        cuetools - cue and toc file parsers and utilities

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://musepack.net/
Source0:        http://files.musepack.net/source/%{name}_%{svn}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
#Requires:       

%description
cuetools is a set of utilities for working with Cue Sheet (cue) and Table of
Contents (toc) files.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}_%{svn}


%build
cmake . \
%ifarch x86_64
	-DLIB_SUFFIX="64" \
%endif
	-DCMAKE_INSTALL_PREFIX="%{_prefix}"
make %{?_smp_mflags} VERBOSE=1

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
mkdir -p $RPM_BUILD_ROOT%{_includedir}/cuetools
cp include/cuetools/*.h $RPM_BUILD_ROOT%{_includedir}/cuetools

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a


%changelog
* Wed Nov 27 2013 momo-i <webmaster@momo-i.org> - 0.0-1
- Initial rpm release.
